-- Author       : Jan Kenneth Bekkeng
-- Company      : University of Oslo
-- File name    : seg7decoder.vhd 
-- Date         : 12.08.2010
-- Version      : 01
-- Project      : FYS 4220/9220
-- Function     : 7-segment decoder


library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

entity seg7decoder is
  
  port
    (
    Cin		: in	std_logic_vector(2 downto 0); 	-- Cin = [C2 C1 C0] inputs (from switches)
	seg7	: out	std_logic_vector(6 downto 0) 	-- outputs (for 7-segment)
    );
    
end seg7decoder;


architecture part2 of seg7decoder is

begin

	with Cin select
		seg7 <= "1000000" when "000",  -- active low signals; only element 6 is off 
				
				-- ADD THE MISSING CODE!
				
				"1111111" when others; -- alle elements off; needed due to std_logic type
		

end part2;