-- Copyright (C) 1991-2009 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- ***************************************************************************
-- This file contains a Vhdl test bench template that is freely editable to   
-- suit user's needs .Comments are provided in each section to help the user  
-- fill out necessary details.                                                
-- ***************************************************************************
-- Generated on "08/12/2010 14:33:43"
                                                            
-- Vhdl Test Bench template for design  :  counters_lab1
-- 
-- Simulation tool : ModelSim-Altera (VHDL)
-- 

LIBRARY ieee;                                               
USE ieee.std_logic_1164.all;                                

ENTITY counters_lab1_vhd_tst IS
END counters_lab1_vhd_tst;
ARCHITECTURE counters_lab1_arch OF counters_lab1_vhd_tst IS
-- constants                                                 
-- signals                                                   
SIGNAL bit_cnt : STD_LOGIC_VECTOR(2 DOWNTO 0);
SIGNAL clk : STD_LOGIC:='0';                                -- init value only valid for simulation
SIGNAL reset : STD_LOGIC;
SIGNAL word_cnt : STD_LOGIC_VECTOR(6 DOWNTO 0);
COMPONENT counters_lab1
	PORT (
	bit_cnt : BUFFER STD_LOGIC_VECTOR(2 DOWNTO 0);
	clk : IN STD_LOGIC;
	reset : IN STD_LOGIC;
	word_cnt : BUFFER STD_LOGIC_VECTOR(6 DOWNTO 0)
	);
END COMPONENT;
BEGIN

	i1 : counters_lab1
	PORT MAP (
-- list connections between master ports and signals
	bit_cnt => bit_cnt,
	clk => clk,
	reset => reset,
	word_cnt => word_cnt
	);
 
 
clk <= not clk after 500 ns; -- gives a 1 MHz clock 

                                        
stimuli : PROCESS                                                                                
BEGIN 
reset <= '1';      -- reset the counters at startup
wait for 5000 ns;
reset <= '0';
wait for 5 ms;
reset <= '1';
wait for 5000 ns;  -- waits 5 clock periods
reset <= '0';
WAIT;                                                        
END PROCESS;                                          
END counters_lab1_arch;
